// ProgressBarTricks.java
//    
import javax.swing.*;

public class ProgressBarTricks extends JFrame {
	public ProgressBarTricks() {
		super("ProgressBarTricks");		
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//    UI-
		UIManager.put("ProgressBar.cellSpacing", 
			new Integer(2));
		UIManager.put("ProgressBar.cellLength", 
			new Integer(6));
		//  
		final DefaultBoundedRangeModel model =
			new DefaultBoundedRangeModel(0, 0, 0, 100);
		//     
		//    
		JProgressBar progress = new JProgressBar(model);
		//    
		JPanel contents = new JPanel();
		contents.add(progress);
		setContentPane(contents);
		//    
		setSize(300, 200);
		setVisible(true);
		//  ""
		Thread process = new Thread(new Runnable() {
			public void run() {
				//     
				//   
				while ( model.getValue() < 
								model.getMaximum() ) {
					model.setValue(model.getValue()+1);
					try {
						Thread.currentThread().sleep(200);
					} catch (Exception ex) { }
				}
			}
		});
		//  
		process.start();
	}
	public static void main(String[] args) {
		new ProgressBarTricks();
	}
}
