// RegisteringTableRenderer.java
//    
//   
import javax.swing.*;
import javax.swing.table.*;
import com.porty.swing.*;

public class RegisteringTableRenderer extends JFrame {
	public RegisteringTableRenderer() {
		super("RegisteringTableRenderer");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//      
		JTable table = new JTable(new SpecialModel());
		//      
		table.setDefaultRenderer(ImageTableCell.class,
			new ImageTableCellRenderer());
		//    
		getContentPane().add(new JScrollPane(table));
		pack();
		setVisible(true);
	}
	//  
	class SpecialModel extends AbstractTableModel {
		// 
		private Icon 
			image1 = new ImageIcon("clip1.gif"),
			image2 = new ImageIcon("clip2.gif");
		//  
		private String[] columnNames = {
			"", ""
		};
		//  
		private Object[][] data = {
			{ new ImageTableCell("MegaWorks", image1),
				"<html><font color=\"red\">" },
			{ new ImageTableCell("TerraMedia", image2),
				"<html><b>.-" }
		};
		//  
		public int getColumnCount() {
			return columnNames.length;
		}
		//  
		public String getColumnName(int column) {
			return columnNames[column];
		}
		//  
		public int getRowCount() {
			return data.length;
		}
		//   
		public Class getColumnClass(int column) {
			return data[0][column].getClass();			
		}
		//   
		public Object getValueAt(int row, int column) {
			return data[row][column];
		}
	}
	public static void main(String[] args) {
		new RegisteringTableRenderer();
	}
}