// ChoosingDates.java
//     SpinnerDateModel
import javax.swing.*;
import java.util.*;

public class ChoosingDates extends JFrame {
	public ChoosingDates() {
		super("ChoosingDates");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//      		
		SpinnerModel monthDay = new SpinnerDateModel(
			new Date(), null, null, Calendar.DAY_OF_MONTH);
		JSpinner spinner1 = new JSpinner(monthDay);
		//    ,  
		SpinnerModel month = new SpinnerDateModel(
			new Date(), new MinDate(), new MaxDate(), Calendar.MONTH);
		JSpinner spinner2 = new JSpinner(month);		
		//    
		JPanel contents = new JPanel();
		contents.add(spinner1);
		contents.add(spinner2);
		//    
		setContentPane(contents);
		setSize(350, 300);
		setVisible(true);
	}
	//     
	Calendar calendar = Calendar.getInstance();
	//    ( )
	class MinDate extends Date implements Comparable {
		public int compareTo(Object o) {
			Date d = (Date)o;
			calendar.setTime(d);
			int year = calendar.get(Calendar.YEAR);			
			//    2002
			return (year < 2002) ? 1 : -1;
		}
	}
	//    ( )
	class MaxDate extends Date implements Comparable {
		public int compareTo(Object o) {
			Date d = (Date)o;
			calendar.setTime(d);
			calendar.get(Calendar.YEAR);
			int year = calendar.get(Calendar.YEAR);			
			//    2004
			if ( year > 2004 ) return -1;
				else return 1;			
		}
	}
	public static void main(String[] args) {
		new ChoosingDates();
	}
}
