// TabSelection.java
//       
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;

public class TabSelection extends JFrame {
	public TabSelection() {
		super("TabSelection");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//     
		JTabbedPane tabs = new JTabbedPane();
		tabs.addTab("", new JPanel());
		tabs.addTab(" ", new JPanel());
		//   
		tabs.addChangeListener(new ChangeListener() {
			public void stateChanged(ChangeEvent e) {
				//     
				JPanel panel = (JPanel)
					((JTabbedPane)e.getSource()).
						getSelectedComponent();
				panel.add(new JButton(""));
			}
		});
		//    
		tabs.addMouseListener(new MouseAdapter() {
			public void mouseClicked(MouseEvent e) {
				// ,     
				int idx = ((JTabbedPane)e.getSource()).
				indexAtLocation(e.getX(), e.getY());
				System.out.println("Index: " + idx);
			}
		});
		//    
		getContentPane().add(tabs);
		setSize(400, 300);
		setVisible(true);
	}
	public static void main(String[] args) {
		new TabSelection();
	}
}