// SimpleColorChooser.java
//     JColorChooser
import javax.swing.*;
import java.awt.Color;
import java.awt.event.*;

public class SimpleColorChooser extends JFrame {
	//   
	private JPanel contents = new JPanel();
	//    
	private JColorChooser chooser = new JColorChooser();
	public SimpleColorChooser() {
		super("SimpleColorChooser");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//       
		JButton choose = new JButton("  ");
		choose.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Color color = chooser.showDialog(
				 SimpleColorChooser.this,
				  "  ",
				    contents.getBackground());
				//   ,  
				if ( color != null)
					contents.setBackground(color);
				repaint();
			}
		});
		//    
		contents.add(choose);
		setContentPane(contents);
		setSize(300, 200);
		setVisible(true);
	}
	public static void main(String[] args) {
		new SimpleColorChooser();
	}
}
