// UsingTextFields.java
//    Swing
import javax.swing.*;
import java.awt.Font;
import java.awt.event.*;

public class UsingTextFields extends JFrame {
	//  
	JTextField smallField, bigField;
	public UsingTextFields() {
		super("UsingTextFields");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//   
		smallField = new JTextField(10);
		bigField = new JTextField(" ", 25);
		//  
		bigField.setFont(new Font("Dialog", Font.PLAIN, 16));
		bigField.setHorizontalAlignment(JTextField.RIGHT);
		//   
		smallField.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				//   
				JOptionPane.showMessageDialog(
					UsingTextFields.this,
						" : " + 
							smallField.getText());
			}
		});
		//   
		JPasswordField password = new JPasswordField(15);
		password.setEchoChar('$');
		//         
		JPanel contents = new JPanel();
		contents.add(smallField);
		contents.add(bigField);
		contents.add(password);
		setContentPane(contents);
		setSize(400, 300);
		setVisible(true);
	}
	public static void main(String[] args) {
		new UsingTextFields();
	}
}
